Bug 209242 - math/matio broken by science/hd5 upgrade to 1.10
Summary: math/matio broken by science/hd5 upgrade to 1.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Don Lewis
URL:
Keywords: patch
Depends on: 209980
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-03 18:17 UTC by Don Lewis
Modified: 2016-06-02 21:24 UTC (History)
0 users

See Also:
makc: maintainer-feedback+


Attachments
patch to fix build of math/matio with hdf5 1.10 (1.02 KB, patch)
2016-05-03 18:17 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2016-05-03 18:17:31 UTC
Created attachment 169935 [details]
patch to fix build of math/matio with hdf5 1.10

When science/hdf5 was upgraded to version 1.10, it broke the math/matio build.

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I. -I/usr/local/include -O2 -pipe -fs
tack-protector -fno-strict-aliasing -c mat73.c  -fPIC -DPIC -o .libs/mat73.o
mat73.c:599:69: error: too few arguments to function call, expected 4, have 3
                ref_id = H5Rdereference(dset_id,H5R_OBJECT,ref_ids+i);
                         ~~~~~~~~~~~~~~                             ^

The attached patch fixes the build.
Comment 1 Max Brazhnikov freebsd_committer 2016-05-06 12:08:14 UTC
Approved, thanks for the fix!
Comment 2 commit-hook freebsd_committer 2016-05-06 19:19:18 UTC
A commit references this bug:

Author: truckman
Date: Fri May  6 19:18:41 UTC 2016
New revision: 414720
URL: https://svnweb.freebsd.org/changeset/ports/414720

Log:
  Fix build with science/hdf5 version 1.10 by specifying that we want to
  use the version 1.8 API.

  PR:		209242
  Approved by:	makc (maintainer)

Changes:
  head/math/matio/files/
  head/math/matio/files/patch-configure
Comment 3 Don Lewis freebsd_committer 2016-06-02 21:24:30 UTC
This problem was fixed by the patch committed in r414720 which tells the port to specifically request the version 1.8 API.  It doesn't require any changes to hdf5.